#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

int n, m;

long long sumRows(int b, int e)
{
	int begin = ((b - 1) * m + 1);
	int end = (e * m);
	return (begin + end) * m * (e - b + 1) / 2;
}

long long sumCols(int b, int e)
{
	long long bcol = ((b * 2 + (n - 1) * m) * n / 2);
	return (2 * bcol + (e - b) * n) * (e - b + 1) / 2;
}

int main()
{
	int t;
	cin >> t;
	for (int i = 0; i < t; i++)
	{
		cin >> n >> m;
		// vert
		int lv = (m + 1) / 2;
		int rv = m;
		long long leftpartv = -1, rightpartv;
		while (rv - lv > 1)
		{
			int mid = (lv + rv) / 2;
			long long leftpart = sumCols(1, mid - 1), rightpart = sumCols(mid, m);
			if (leftpart < rightpart)
				lv = mid;
			else
			{
				rv = mid;
				leftpartv = leftpart;
				rightpartv = rightpart;
			}
		}
		if (leftpartv == -1)
		{
			leftpartv = sumCols(1, rv - 1);
			rightpartv = sumCols(rv, m);
		}
		if (leftpartv == rightpartv)
		{
			cout << "V " << rv << '\n';
			continue;
		}
		long long posslv, possrv;
		if ((possrv = sumCols(rv - 1, m)) - (posslv = sumCols(1, rv - 2)) < leftpartv - rightpartv)
		{
			rv--;
			leftpartv = posslv;
			rightpartv = possrv;
		}

		// horz
		int lh = (n + 1) / 2, rh = n;
		long long leftparth = -1, rightparth;
		while (rh - lh > 1)
		{
			int mid = (rh + lh) / 2;
			long long leftpart = sumRows(1, mid - 1), rightpart = sumRows(mid, n);
			if (leftpart < rightpart)
				lh = mid;
			else
			{
				rh = mid;
				leftparth = leftpart;
				rightparth = rightpart;
			}
		}
		if (leftparth == -1)
		{
			leftparth = sumRows(1, rh - 1);
			rightparth = sumRows(rh, n);
		}
		long long posslh, possrh;
		if ((possrh = sumRows(rh - 1, n)) - (posslh = sumRows(1, rh - 2)) < leftparth - rightparth)
		{
			rh--;
			leftparth = posslh;
			rightparth = possrh;
		}
		if (abs(rightparth - leftparth) < abs(rightpartv - leftpartv))
			cout << "H " << rh << '\n';
		else
			cout << "V " << rv << '\n';
	}
}