def isgood(num):
    digits = dict()
    for ch in str(num):
        digits[ch] = digits.get(ch, 0) + 1
    if (len(digits) > 2) or (len(digits) == 2 and 1 not in set(digits.values())):
        return False
    return True


def naive(num):
    while not isgood(num):
        num += 1
    return str(num)


def optimized(num):
    nums = str(num)
    if len(nums) <= 2:
        return nums
    nums = list(nums)
    for i in range(1, len(nums)):
        if nums[i] != nums[i - 1]:
            break
    else:
        return ''.join(nums)
    numr = nums[:]
    ch = numr[i - 1] if i > 1 else min(numr[i - 1], numr[i])
    for j in range(i + 1, len(numr)):
        numr[j] = ch
    if numr >= nums:
        return ''.join(numr)
    if i <= 1:
        ch = max(nums[i], nums[i - 1])
        for j in range(i + 1, len(numr)):
            numr[j] = ch
        if numr >= nums:
            return ''.join(numr)
    for j in range(i, -1, -1):
        if numr[j] == '9':
            numr[j] = '0'
            continue
        numr[j] = chr(ord(numr[j]) + 1)
        break
    i = j
    if numr[i] == numr[i - 1]:
        numr[i + 1] = '0'
        j = i + 2
    else:
        j = i + 1
    ch = numr[i - 1] if i > 1 else min(numr[i - 1], numr[i])
    for j in range(j, len(numr)):
        numr[j] = ch
    return ''.join(numr)


num = int(input())
k = int(input())
if k:
    print optimized(num)
else:
    num = list(str(num))
    for i in range(1, len(num)):
        if num[i] < num[i - 1]:
            for j in range(i, len(num)):
                num[j] = num[j - 1]
            break
        if num[i] > num[i - 1]:
            if num[0] < '9':
                num[0] = chr(ord(num[0]) + 1)
                for j in range(1, len(num)):
                    num[j] = num[j - 1]
            else:
                num = ['1'] * (len(num) + 1)
            break
    print ''.join(num)