﻿#include <iostream>
using namespace std;

int n, m, c;
int** table;

bool rec(int i, int j)
{
	if (i == n)
		return true;
	bool variants[3];
	variants[0] = variants[1] = variants[2] = true;
	for (int x1 = 0; x1 < j; x1++)
		for (int y1 = 0; y1 < i; y1++)
			if (table[y1][x1] == table[y1][j] && table[i][x1] == table[y1][j])
			{
				variants[table[y1][x1] - 1] = false;
			}
	int nexti = i, nextj = j + 1;
	if (nextj == m)
	{
		nextj = 0; nexti++;
	}
	for (int v = 1; v <= c; v++)
		if (variants[v - 1])
		{
			table[i][j] = v;
			if (!rec(nexti, nextj))
				table[i][j] = 0;
			else
				return true;
		}
	return false;
}

void CommonCase()
{
	table = new int*[n];
	for (int i = 0; i < n; i++)
	{
		table[i] = new int[m];
		memset(table[i], 0, 4 * m);
	}
	
	rec(0, 0);
	for (int i = 0; i < n; i++)
	{
		for (int j = 0; j < m; j++)
			cout << table[i][j] << ' ';
		cout << endl;
	}
}

int main()
{
	cin >> n >> m >> c;
	if (n == 2 || m == 2)
	{
		for (int i = 0; i < n; i++)
		{
			for (int j = 0; j < m; j++)
				cout << ((j & 1) == (i & 1) ? '1' : '2') << ' ';
			cout << endl;
		}
	}
	else if (c == 3 && (n == 3 || m == 3))
	{
		for (int i = 0; i < n; i++)
		{
			for (int j = 0; j < m; j++)
				cout << (char)((i + j) % 3 + '1') << ' ';
			cout << endl;
		}
	}
	else if (n == 4 && m == 4)
	{
		cout << "1 2 1 2\n2 1 2 1\n1 2 2 1\n2 1 1 2";
	}
	else
		CommonCase();
}