﻿#include <iostream>
#include <unordered_map>
#include <string>
using namespace std;

void FastIO()
{
	cin.sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);
}

#define pii pair<int, int>

pii columns[2][2];
int n;

void rec(int depth, bool in, int& counter)
{
	if (depth == n)
	{
		counter += !in;
		if (counter == 1000000007)
			counter = 0;
		return;
	}
	for (int out = depth != n - 1; out >= 0; out--)
	{
		pii& col = columns[in][out];
		if (col.first > col.second)
		{
			col.first--;
			int incounter = 0;
			rec(depth + 1, out, incounter);
			col.first++;
			counter += incounter * (col.first - col.second);
		}
		if (col.first > 0 && depth != n - 1)
		{
			col.first--; col.second--;
			int incounter = 0;
			rec(depth + 1, out, incounter);
			col.first++; col.second++;
			counter += incounter * col.second;
		}
	}
}

int main()
{
	columns[0][0] = columns[0][1] = columns[1][0] = columns[1][1] = { 0, 0 };
	FastIO();
	string a, b, c;
	cin >> a >> b >> c;
	n = a.length();
	for (int i = 0; i < n; i++)
	{
		int ai, bi, ci;
		ai = a[i] - '0';
		bi = b[i] - '0';
		ci = c[i] - '0';
		int aibi = (ai + bi) % 10;
		if (aibi != ci && (aibi + 1) % 10 != ci)
		{
			cout << '0';
			return 0;
		}
		bool out = (ai + bi != aibi);
		bool in = (aibi != ci);
		bool has0 = !(ai && bi && ci);
		pii* dest = &columns[in][out];
		dest->first++;
		dest->second += has0;
	}

	int counter = 0;
	rec(0, false, counter);
	cout << counter;
}